﻿--[[
	OneClickEnchantScroll

	Copyright (c) 2010-2011, sarafdswow@gmail.com
	All rights reserved.

	You're allowed to use this addon, free of monetary charge,
	but you are not allowed to modify, alter, or redistribute
	this addon without express, written permission of the author.
]]

local TEXT = "Scroll" --button text
local VZ = GetSpellInfo(7411)
local loc = GetLocale()
if loc == "deDE" then
	TEXT = "Rolle"
elseif loc == "frFR" then
	TEXT = "Parchemin"
elseif (loc == "esES") or (loc == "esMX") then
	TEXT = "Pergamino"
elseif loc == "ruRU" then
	TEXT = "Свиток"
elseif loc == "koKR" then
elseif loc == "zhCN" then
elseif loc == "zhTW" then
end

local oldfunc = TradeSkillFrame_SetSelection
local f=CreateFrame("Button","TradeSkillCreateScrollButton",TradeSkillFrame,"MagicButtonTemplate")
f:SetPoint("TOPRIGHT",TradeSkillCreateButton,"TOPLEFT")
f:SetScript("OnClick",function()
	DoTradeSkill(TradeSkillFrame.selectedSkill)
	UseItemByName(38682)
end)

function TradeSkillFrame_SetSelection(id)
	oldfunc(id)
	local skillName,_,_,_,altVerb = GetTradeSkillInfo(id)
	if IsTradeSkillGuild() or IsTradeSkillLinked() then
		f:Hide()
	elseif (altVerb and CURRENT_TRADESKILL==VZ) or (altVerb and loc:find("zh")) then
		f:Show()
		local creatable = 1
		if not skillName then
			creatable = nil
		end
		local scrollnum = GetItemCount(38682)
		TradeSkillCreateScrollButton:SetText(TEXT.." ("..scrollnum..")")
		if scrollnum == 0 then
			creatable = nil
		end
		for i=1,GetTradeSkillNumReagents(id) do
			local _,_,reagentCount,playerReagentCount = GetTradeSkillReagentInfo(id,i)
			if playerReagentCount < reagentCount then
				creatable = nil
			end
		end
		if creatable then
			TradeSkillCreateScrollButton:Enable()
		else
			TradeSkillCreateScrollButton:Disable()
		end
	else
		f:Hide()
	end
end
